

# The newer games are listed at the top
#   One line per game using this format
#   <result><rating> <username>
#   For example:
#     +1500 abc
#     -1750 xyz
#     =1610 abc
#   means first game was a draw against abc a 1610 player,
#     second game was lost to xyz a 1750 player and the
#     third game (most recent) was won against abc now rated 1500.

sub readGames{
  local($i, $w, $r, $u, $t) = @_;
  local($l, $wi, $ri, $ui, $ti);

  foreach $l (@$i){
    chomp $l;
    $l =~ s/^\s*//;
    ($wi, $ri, $ui, $ti) = ($l =~ m/^(.)(-?\d+) *(\w*) *(\d*)/);
    if ($ri eq ""){ next; }
    $wi =~ tr/\+\-\=/201/;
    $wi = $wi/2;
#  print "$ri $wi $ui\n";
    if ($ui eq ""){ $ui = "unknown"; }
    if ($ti eq ""){ $ti = 0; }
    push(@$w, $wi); push(@$r, $ri); push(@$u, $ui); push(@$t, $ti);
  }
}



1;

